> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/cloud/web-interface/administration/management/application-identities/manage-application-identities.md).

# Manage application identities

Create a Devolutions Cloud application identity and assign it system or vault permissions to access the Devolutions PowerShell module.

Create, manage, and delete application identities in ***Administration – Application identities***.

### Create an application identity

Follow the steps below to create a new application identity. Once your application identity has been created, continue to the next section to assign them the right permissions.

1. Go to ***Administration***, then under ***Management***, click ***Application identities***.
2. Click the ***Add*** icon at the top right.
3. Name the application identity then click ***Submit***.
4. Copy the ***Application Secret*** and ***Application key***, or download the PDF file provided. Save the information or file in a secure place.
5. Close the window.

By default, a newly created application identity has no permissions. See the next section to assign permissions.

### Assign permissions

Depending on the actions that this application identity needs to perform, you need to assign it the proper rights:

* [Assign system permissions to the application identity](/cloud/web-interface/administration/configuration-and-security/system-permissions.md)
* [Assign vault permissions to the application identity](/cloud/web-interface/administration/management/vaults/create-and-manage-vaults.md)

When permissions have been assigned, you are ready to access Devolutions Cloud with the [Devolutions.PowerShell module](https://docs.devolutions.net/powershell/devolutions-cloud-powershell/powershell-module) and your application identity.

#### See also

* [Devolutions Academy – Creating an application identity and application services](https://academy.devolutions.net/student/page/2761705-creating-an-application-identity-and-application-services?curriculum_activity_id=4271807\&path_id=2543918\&sid=81108377-adec-4542-a269-b4bbbaae09ad\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/cloud/web-interface/administration/management/application-identities/manage-application-identities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
